/*
 * Class CHAIN [INTEGER_32]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_304 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_1_304 [] = {0xFF01,237,303,206,0xFFFF};
static const EIF_TYPE_INDEX egt_2_304 [] = {0xFF01,303,206,0xFFFF};
static const EIF_TYPE_INDEX egt_3_304 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_304 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_304 [] = {0xFF01,303,206,0xFFFF};
static const EIF_TYPE_INDEX egt_6_304 [] = {0xFF01,303,206,0xFFFF};
static const EIF_TYPE_INDEX egt_7_304 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_304 [] = {0xFF01,14,0xFFFF};
static const EIF_TYPE_INDEX egt_9_304 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_10_304 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_11_304 [] = {0xFF01,15,0xFFFF};
static const EIF_TYPE_INDEX egt_12_304 [] = {303,206,0xFFFF};
static const EIF_TYPE_INDEX egt_13_304 [] = {0xFF01,303,206,0xFFFF};
static const EIF_TYPE_INDEX egt_14_304 [] = {0xFF01,288,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_304 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_16_304 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_17_304 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_18_304 [] = {0xFF01,280,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_19_304 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_20_304 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_21_304 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_22_304 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_23_304 [] = {0xFF01,303,206,0xFFFF};
static const EIF_TYPE_INDEX egt_24_304 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_25_304 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_26_304 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_27_304 [] = {0xFF01,148,0xFFFF};
static const EIF_TYPE_INDEX egt_28_304 [] = {0xFF01,141,0xFFFF};


static const struct desc_info desc_304[] = {
	{EIF_GENERIC(NULL), 4213, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_304), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_304), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_304), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_304), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_304), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_304), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_304), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_304), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_304), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_304), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_304), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_304), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_304), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_304), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4216, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2019, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1850, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1851, 0},
	{EIF_NON_GENERIC(0x017F /*191*/), 1852, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1853, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1854, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_304), 2284, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_304), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_304), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2512, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2513, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1987, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4212, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 4217, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2459, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 4220, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_304), 2277, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2278, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4223, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1923, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2509, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4210, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2510, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2511, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_18_304), 3368, 0xFFFFFFFF},
	{EIF_GENERIC(egt_19_304), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_20_304), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4205, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4222, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2280, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2281, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2282, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2283, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2275, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2507, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4209, 0xFFFFFFFF},
	{EIF_GENERIC(egt_21_304), 4214, 0xFFFFFFFF},
	{EIF_GENERIC(egt_22_304), 4215, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4224, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4225, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4227, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4228, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4206, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4207, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4211, 0xFFFFFFFF},
	{EIF_GENERIC(egt_23_304), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2274, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2273, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2276, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2276, 0xFFFFFFFF},
	{EIF_GENERIC(egt_24_304), 4218, 0xFFFFFFFF},
	{EIF_GENERIC(egt_25_304), 4219, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4226, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4208, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4208, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_26_304), 4218, 0xFFFFFFFF},
	{EIF_GENERIC(egt_27_304), 4221, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4226, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 4220, 0xFFFFFFFF},
	{EIF_GENERIC(egt_28_304), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), -1, 0xFFFFFFFF},
};
void Init304(void)
{
	IDSC(desc_304, 0, 303);
	IDSC(desc_304 + 1, 1, 303);
	IDSC(desc_304 + 32, 77, 303);
	IDSC(desc_304 + 41, 243, 303);
	IDSC(desc_304 + 47, 155, 303);
	IDSC(desc_304 + 56, 282, 303);
	IDSC(desc_304 + 65, 99, 303);
	IDSC(desc_304 + 67, 30, 303);
	IDSC(desc_304 + 74, 294, 303);
	IDSC(desc_304 + 77, 237, 303);
	IDSC(desc_304 + 79, 329, 303);
	IDSC(desc_304 + 93, 187, 303);
	IDSC(desc_304 + 99, 256, 303);
	IDSC(desc_304 + 102, 229, 303);
	IDSC(desc_304 + 103, 184, 303);
	IDSC(desc_304 + 106, 50, 303);
	IDSC(desc_304 + 107, 35, 303);
	IDSC(desc_304 + 108, 172, 303);
}


#ifdef __cplusplus
}
#endif
